Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155552 - NetworkManager does not allow connecting to wired network
Summary: NetworkManager does not allow connecting to wired network
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-21 12:15 UTC by Christian Schaller
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 20:15:40 UTC


Attachments (Terms of Use)

Description Christian Schaller 2005-04-21 12:15:34 UTC
If I run network manager I am not allowed to choose the wired network from the
list. Only way to get NetworkManager to connect to the wired network is to
choose to stop all wireless devices by right clicking on the docklet. I think it
would be more natural to make wired network just another option.

Comment 1 Dan Williams 2005-05-05 19:07:58 UTC
Hmm, it should be an option.  Is the menu item grayed out completely?

The only way it would be grayed out is if NetworkManager thinks the wired card
can do carrier detection, but it doesn't think any cable is plugged in.  It uses
netlink sockets for its carrier detection messaging, so if the driver doesn't
support netif_carrier_on/netif_carrier_off(), then you're out of luck...

Can you post the output of "ethtool" and "mii-tool" for your wired card?

Thanks!

Comment 2 Christian Schaller 2005-05-13 16:42:12 UTC
It is not greyed out. I tested some more today and if I connect the wired
network to the laptop is now automatically switch to that. But if I switch to a
wireless network then try to choose the 'Wired Network' at the top of the list
again nothing happens. (If I unconnect the ethernet then reconnect it again it
switches automatically over again.)

Output of requested tools below (when connected with ethernet cable)

[root@wildsrc ~]# ethtool eth0
Settings for eth0:
        Supported ports: [ MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Current message level: 0x000000ff (255)
        Link detected: yes

[root@wildsrc ~]# mii-tool eth0
eth0: negotiated 100baseTx-FD flow-control, link ok



Comment 3 Dan Williams 2005-05-16 19:52:27 UTC
Can you post the contents of /var/log/messages from right before you manually
choose "wired network" when you are currently on wireless?

Comment 4 John Thacker 2007-01-13 20:15:40 UTC
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.